Subject: Re: r8169 on 3.8.13, 3.9.2, 3.10-rc1, was Re: [ 00/73] 3.8.13-stable review

From: "Holger Hoffstaette" <[email-masked]>
Date: Wed, 15 May 2013 10:31:50 +0200

On Wed, 15 May 2013 01:07:15 +0100, Ken Moffat wrote:

>  Cc'ing to netdev because I don't think this has had a response, and
> I care because I *might* be seeing the same problem on both 3.9.2 and
> 3.10-rc1, but my take on the problem is slightly different [ details after
> Holger's posting ]

I later isolated the regression to tx offloading, which allows one to
reproduce the problem on the fly (enable: b0rken internets, disable: all
fine). So unless you have tx offloading enabled then whatever you are
seeing has likely nothing to do with *this* problem.

Francois posted a patch to -netdev which I am running as we speak, and the
problem seems fixed for me; tx offloading (in adition to rx/gro) works
again, with no side effects. Please help test!

-h